import{s as fe,n as he,o as ue}from"../chunks/scheduler.b108d059.js";import{S as ve,i as Te,g as d,s as l,r as C,A as we,h as n,f as s,c as a,j as se,u as M,x,k as _,y as be,a as o,v as W,d as Z,t as k,w as I}from"../chunks/index.008de539.js";import{C as oe}from"../chunks/CodeBlock.3968c746.js";import{H as me,E as Je}from"../chunks/EditOnGithub.d1c48e3d.js";function $e(le){let r,P,j,H,c,B,i,L,p,ae="Module used to configure Transformers.js.",U,m,de="<strong>Example:</strong> Disable remote models.",N,f,R,h,ne="<strong>Example:</strong> Set local model path.",S,u,D,v,re="<strong>Example:</strong> Set cache directory.",F,T,G,A,z,w,Y,b,q,J,ce="Global variable used to control execution. This provides users a simple way to configure Transformers.js.",O,$,ie='<strong>Kind</strong>: static constant of <a href="#module_env"><code>env</code></a><br/> <strong>Properties</strong>',Q,y,pe=`<thead><tr><th>Name</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>backends</td><td><code>Object</code></td><td><p>Expose environment variables of different backends,
allowing users to set these variables if they want to.</p></td> </tr><tr><td>__dirname</td><td><code>string</code></td><td><p>Directory name of module. Useful for resolving local paths.</p></td> </tr><tr><td>version</td><td><code>string</code></td><td><p>This version of Transformers.js.</p></td> </tr><tr><td>allowRemoteModels</td><td><code>boolean</code></td><td><p>Whether to allow loading of remote files, defaults to <code>true</code>.
If set to <code>false</code>, it will have the same effect as setting <code>local_files_only=true</code> when loading pipelines, models, tokenizers, processors, etc.</p></td> </tr><tr><td>remoteHost</td><td><code>string</code></td><td><p>Host URL to load models from. Defaults to the Hugging Face Hub.</p></td> </tr><tr><td>remotePathTemplate</td><td><code>string</code></td><td><p>Path template to fill in and append to <code>remoteHost</code> when loading models.</p></td> </tr><tr><td>allowLocalModels</td><td><code>boolean</code></td><td><p>Whether to allow loading of local files, defaults to <code>true</code>.
If set to <code>false</code>, it will skip the local file check and try to load the model from the remote host.</p></td> </tr><tr><td>localModelPath</td><td><code>string</code></td><td><p>Path to load local models from. Defaults to <code>/models/</code>.</p></td> </tr><tr><td>useFS</td><td><code>boolean</code></td><td><p>Whether to use the file system to load files. By default, it is <code>true</code> if available.</p></td> </tr><tr><td>useBrowserCache</td><td><code>boolean</code></td><td><p>Whether to use Cache API to cache models. By default, it is <code>true</code> if available.</p></td> </tr><tr><td>useFSCache</td><td><code>boolean</code></td><td><p>Whether to use the file system to cache files. By default, it is <code>true</code> if available.</p></td> </tr><tr><td>cacheDir</td><td><code>string</code></td><td><p>The directory to use for caching files with the file system. By default, it is <code>./.cache</code>.</p></td> </tr><tr><td>useCustomCache</td><td><code>boolean</code></td><td><p>Whether to use a custom cache system (defined by <code>customCache</code>), defaults to <code>false</code>.</p></td> </tr><tr><td>customCache</td><td><code>Object</code></td><td><p>The custom cache to use. Defaults to <code>null</code>. Note: this must be an object which
implements the <code>match</code> and <code>put</code> functions of the Web Cache API. For more information, see <a href="https://developer.mozilla.org/en-US/docs/Web/API/Cache">https://developer.mozilla.org/en-US/docs/Web/API/Cache</a></p></td></tr></tbody>`,K,V,X,g,ee,E,te;return i=new me({props:{title:"env",local:"env",headingTag:"h1"}}),f=new oe({props:{code:"aW1wb3J0JTIwJTdCJTIwZW52JTIwJTdEJTIwZnJvbSUyMCclNDB4ZW5vdmElMkZ0cmFuc2Zvcm1lcnMnJTNCJTBBZW52LmFsbG93UmVtb3RlTW9kZWxzJTIwJTNEJTIwZmFsc2UlM0I=",highlighted:`<span class="hljs-keyword">import</span> { env } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;@xenova/transformers&#x27;</span>;
env.<span class="hljs-property">allowRemoteModels</span> = <span class="hljs-literal">false</span>;`,wrap:!1}}),u=new oe({props:{code:"aW1wb3J0JTIwJTdCJTIwZW52JTIwJTdEJTIwZnJvbSUyMCclNDB4ZW5vdmElMkZ0cmFuc2Zvcm1lcnMnJTNCJTBBZW52LmxvY2FsTW9kZWxQYXRoJTIwJTNEJTIwJyUyRnBhdGglMkZ0byUyRmxvY2FsJTJGbW9kZWxzJTJGJyUzQg==",highlighted:`<span class="hljs-keyword">import</span> { env } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;@xenova/transformers&#x27;</span>;
env.<span class="hljs-property">localModelPath</span> = <span class="hljs-string">&#x27;/path/to/local/models/&#x27;</span>;`,wrap:!1}}),T=new oe({props:{code:"aW1wb3J0JTIwJTdCJTIwZW52JTIwJTdEJTIwZnJvbSUyMCclNDB4ZW5vdmElMkZ0cmFuc2Zvcm1lcnMnJTNCJTBBZW52LmNhY2hlRGlyJTIwJTNEJTIwJyUyRnBhdGglMkZ0byUyRmNhY2hlJTJGZGlyZWN0b3J5JTJGJyUzQg==",highlighted:`<span class="hljs-keyword">import</span> { env } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;@xenova/transformers&#x27;</span>;
env.<span class="hljs-property">cacheDir</span> = <span class="hljs-string">&#x27;/path/to/cache/directory/&#x27;</span>;`,wrap:!1}}),b=new me({props:{title:"env.env",local:"envenv",headingTag:"h2"}}),g=new Je({props:{source:"https://github.com/xenova/transformers.js/blob/v2.17.2/docs/source/api/env.md"}}),{c(){r=d("meta"),P=l(),j=d("p"),H=l(),c=d("a"),B=l(),C(i.$$.fragment),L=l(),p=d("p"),p.textContent=ae,U=l(),m=d("p"),m.innerHTML=de,N=l(),C(f.$$.fragment),R=l(),h=d("p"),h.innerHTML=ne,S=l(),C(u.$$.fragment),D=l(),v=d("p"),v.innerHTML=re,F=l(),C(T.$$.fragment),G=l(),A=d("hr"),z=l(),w=d("a"),Y=l(),C(b.$$.fragment),q=l(),J=d("p"),J.textContent=ce,O=l(),$=d("p"),$.innerHTML=ie,Q=l(),y=d("table"),y.innerHTML=pe,K=l(),V=d("hr"),X=l(),C(g.$$.fragment),ee=l(),E=d("p"),this.h()},l(e){const t=we("svelte-u9bgzb",document.head);r=n(t,"META",{name:!0,content:!0}),t.forEach(s),P=a(e),j=n(e,"P",{}),se(j).forEach(s),H=a(e),c=n(e,"A",{id:!0,class:!0}),se(c).forEach(s),B=a(e),M(i.$$.fragment,e),L=a(e),p=n(e,"P",{"data-svelte-h":!0}),x(p)!=="svelte-14jubvb"&&(p.textContent=ae),U=a(e),m=n(e,"P",{"data-svelte-h":!0}),x(m)!=="svelte-ooim1v"&&(m.innerHTML=de),N=a(e),M(f.$$.fragment,e),R=a(e),h=n(e,"P",{"data-svelte-h":!0}),x(h)!=="svelte-1rbhmcc"&&(h.innerHTML=ne),S=a(e),M(u.$$.fragment,e),D=a(e),v=n(e,"P",{"data-svelte-h":!0}),x(v)!=="svelte-13xd89q"&&(v.innerHTML=re),F=a(e),M(T.$$.fragment,e),G=a(e),A=n(e,"HR",{}),z=a(e),w=n(e,"A",{id:!0,class:!0}),se(w).forEach(s),Y=a(e),M(b.$$.fragment,e),q=a(e),J=n(e,"P",{"data-svelte-h":!0}),x(J)!=="svelte-k2hmcm"&&(J.textContent=ce),O=a(e),$=n(e,"P",{"data-svelte-h":!0}),x($)!=="svelte-aq97h0"&&($.innerHTML=ie),Q=a(e),y=n(e,"TABLE",{"data-svelte-h":!0}),x(y)!=="svelte-1wui4x7"&&(y.innerHTML=pe),K=a(e),V=n(e,"HR",{}),X=a(e),M(g.$$.fragment,e),ee=a(e),E=n(e,"P",{}),se(E).forEach(s),this.h()},h(){_(r,"name","hf:doc:metadata"),_(r,"content",ye),_(c,"id","module_env"),_(c,"class","group"),_(w,"id","module_env.env"),_(w,"class","group")},m(e,t){be(document.head,r),o(e,P,t),o(e,j,t),o(e,H,t),o(e,c,t),o(e,B,t),W(i,e,t),o(e,L,t),o(e,p,t),o(e,U,t),o(e,m,t),o(e,N,t),W(f,e,t),o(e,R,t),o(e,h,t),o(e,S,t),W(u,e,t),o(e,D,t),o(e,v,t),o(e,F,t),W(T,e,t),o(e,G,t),o(e,A,t),o(e,z,t),o(e,w,t),o(e,Y,t),W(b,e,t),o(e,q,t),o(e,J,t),o(e,O,t),o(e,$,t),o(e,Q,t),o(e,y,t),o(e,K,t),o(e,V,t),o(e,X,t),W(g,e,t),o(e,ee,t),o(e,E,t),te=!0},p:he,i(e){te||(Z(i.$$.fragment,e),Z(f.$$.fragment,e),Z(u.$$.fragment,e),Z(T.$$.fragment,e),Z(b.$$.fragment,e),Z(g.$$.fragment,e),te=!0)},o(e){k(i.$$.fragment,e),k(f.$$.fragment,e),k(u.$$.fragment,e),k(T.$$.fragment,e),k(b.$$.fragment,e),k(g.$$.fragment,e),te=!1},d(e){e&&(s(P),s(j),s(H),s(c),s(B),s(L),s(p),s(U),s(m),s(N),s(R),s(h),s(S),s(D),s(v),s(F),s(G),s(A),s(z),s(w),s(Y),s(q),s(J),s(O),s($),s(Q),s(y),s(K),s(V),s(X),s(ee),s(E)),s(r),I(i,e),I(f,e),I(u,e),I(T,e),I(b,e),I(g,e)}}}const ye='{"title":"env","local":"env","sections":[{"title":"env.env","local":"envenv","sections":[],"depth":2}],"depth":1}';function ge(le){return ue(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class We extends ve{constructor(r){super(),Te(this,r,ge,$e,fe,{})}}export{We as component};
